# Recovered and Reformed
> ...also known as UncutRebalance 

Adds enemies that were cut during development, and remixes it to be more fitting to the rest of the pack. Also adds a few more family events.

## Cut Enemies
* Adds **Iota Construct**, a boss construct monster.
![Image](https://media.discordapp.net/attachments/515678821408571392/1082908308131819551/20230308150726_1.jpg)
  * Its main attack is a powerful *laser* that will melt any opponent that stands in its way.
  * It creates a *shield* around itself that protects itself from faraway harm.
  * When it reaches a health threshold, It will *rise up* from the ground for a moment, retreating itself from harm. 
  * [Spikestrip](https://thunderstore.io/package/SpikestripModding/Spikestrip2_0) compat: Beware of the enemies it *summons!* Watch the ground...

* Adds **Assassin**, a basic humanoid monster.
![Image](https://media.discordapp.net/attachments/515678821408571392/1082908308433797191/20230308150854_1.jpg)
  * Its ability to sneak up on foe is unmatched, to a point where it is *invisible* and *invulnerable* during its charge.
  * The melee attack of the assassin temporarily makes you *frail!* make sure to retreat if you're hit.
  * [AccurateEnemies](https://thunderstore.io/package/Moffein/AccurateEnemies) compat: the enemy is extra accurate with its ranged, *shuriken* hit.

* Ability to spawn Elite variants of Magma Worm, Overloading Worm, Alloy Worship Unit, Aurellionite, Artifact Reliquary and [Direseeker](https://thunderstore.io/package/EnforcerGang/Direseeker/).
![Image](https://media.discordapp.net/attachments/515678821408571392/1082919853695967314/20230308155635_1.jpg)

### Configurability
Every value is defaulted to what the original value was, unless stated otherwise.
* Spawn Area
* Base Health
* Health Increase Per Level
* Base Damage
* Damage Increase Per Level
* Movement Speed
* Attack Speed
* Base Armor
* Director Cost
* Minimum Stage Required before Spawn (for loops)

## Family Event
* Configurable Family Event chance. (Default: 2%)
* Removes Acid Larva family event. (Configurable)
* Adds Iota and [Sigma Construct](https://thunderstore.io/package/SpikestripModding/Spikestrip2_0) to the Construct Family.
* Adds [Coil Golem](https://thunderstore.io/package/PlasmaCore3/Forgotten_Relics) to the Golem Family.
* New **Tar Family**: [Clay Men](https://thunderstore.io/package/Moffein/Clay_Men), Clay Templar, Clay Apothecary, Clay Dunestrider, [Lively Pot](https://thunderstore.io/package/SpikestripModding/Spikestrip2_0)
* New **Wisp? Family**: Lesser Wisp, [Frost Wisp](https://thunderstore.io/package/PlasmaCore3/Forgotten_Relics), [Archaic Wisp](https://thunderstore.io/package/Moffein/Archaic_Wisp), [Ancient Wisp](https://thunderstore.io/package/Moffein/Ancient_Wisp)
* New **Solus Family**: Alloy Vulture, Solus Probe, Solus Control Unit
* New **Blind Family**: Blind Vermin, Blind Pest, Magma Worm, Overloading Worm
* New **Bell Family**: Brass Contraption, [Brass Monolith](https://thunderstore.io/package/PlasmaCore3/Forgotten_Relics) (only added if Bell Tower is enabled)
* Adds **Parent Family** (cut content).
* Construct Family Event is now also possible at Sky Meadow, [Fogbound Lagoon](https://thunderstore.io/package/JaceDaDorito/FogboundLagoon), [Forgotten Haven](https://thunderstore.io/package/PlasmaCore3/Forgotten_Relics), and Titanic Plains.
* Lemurian Family Event is now also possible at [Dry Basin](https://thunderstore.io/package/PlasmaCore3/Forgotten_Relics).
* Golem Family Event is now also possible at [Fogbound Lagoon](https://thunderstore.io/package/JaceDaDorito/FogboundLagoon), and [Forgotten Haven](https://thunderstore.io/package/PlasmaCore3/Forgotten_Relics).
* Gup Family Event can now also spawn Geeps and Gips.
* Family Events can now happen at Gilded Coast as well.

## Sneaky Rebalances

* Larvas have double damage but will now explode on first leap attack, Configurable.
* Artifact Reliquary deal double damage.
* Alloy Worship Unit's Invulnerability time reduced. Default: 6 seconds.
* [Direseeker](https://thunderstore.io/package/EnforcerGang/Direseeker/) will now drop items on its death position.
* [Brass Monolith](https://thunderstore.io/package/PlasmaCore3/Forgotten_Relics) will spawn on [Fogbound Lagoon](https://thunderstore.io/package/JaceDaDorito/FogboundLagoon).

## Compatibility
- Make sure to turn off `2b - Family Events > Add extra Family Events` from [LittleGameplayTweaks](https://thunderstore.io/package/Wolfo/LittleGameplayTweaks/) (or this mod's family event settings) as it does the same(ish) thing.

## Credits
* **FORCED_REASSEMBLY** for idea and name(kinda)
* **PlasmaCore3** for [Forgotten Relics](https://thunderstore.io/package/PlasmaCore3/Forgotten_Relics), where Bell Tower's sprite and functionality was used in this mod/icon of this mod.
* **Anreol** for [Released from the Void](https://thunderstore.io/package/Anreol/ReleasedFromTheVoid), where the name for Iota Construct came from. If you want a different flavor of Iota Construct / Assassin that is more closer to how it was intended, check it out.

## Changelog
- 1.0.6: PlasmaCore Stop Making Breaking Mod Changes Challenge
- 1.0.5: Bugfix
- 1.0.4: Bugfix
- 1.0.3: Removed Bell Tower (now Brass Monolith) settings, as it was reworked back in
- 1.0.2: Special boss elites, awu/direseeker tweaks
- 1.0.1: Gup family, Lemurian family, Parent family tweaks, family event chance config
- 1.0.0: Initial Release